"""
PyGL3Display
(C) David Griffin (2010-present)
"Habilain" is a pseudonym used by David Griffin in a number of places.

A high performance OpenGL library

Licensed under GPLv2 or GPLv3. You should have received a copy of both of these
licenses in the files GPLv2.txt and GPLv3.txt. If not these licenses can be
found at http://www.gnu.org/licenses/gpl-2.0.html (GPLv2) and
http://www.gnu.org/licenses/gpl-3.0.html (GPLv3). 

pygl3display

Imports the most useful functions from other libraries; 99% of the time.
it should only be necessary to import from here.
"""

from pygl3display.glcommoninst import GLCommon
from pygl3display.infrastructure import GL3Client
from pygl3display.gl3shader import GL3Shader
from pygl3display.twodshaders import (TwoDShader, TwoDVertexCamera, 
                                      TwoDFragmentCamera)
from pygl3display.sprites import (Surface, Sprite, AttribSprite,
     topLeftOffsets, topRightOffsets, bottomLeftOffsets, 
     bottomRightOffsets, centerOffsets, makeAdjacentSprites, SpriteGroup,
     loadImage, SpriteCommon)
from pygl3display.twodshapes import Lines, Triangles, Ellipse
from pygl3display.vertexarrays import VertexArraySpec
from pygl3display.uniforms import Uniform, ProxyUniform, UniformStore
from pygl3display.texture import OneDTexture, TwoDTexture
from pygl3display.fbo import ENABLED as FBO_ENABLED
if FBO_ENABLED:
    from pygl3display.rendertargets import TextureTarget
from pygl3display.configuration import configure

