"""
PyGL3Display
(C) David Griffin (2010-present)
"Habilain" is a pseudonym used by David Griffin in a number of places.

A high performance OpenGL library

Licensed under GPLv2 or GPLv3. You should have received a copy of both of these
licenses in the files GPLv2.txt and GPLv3.txt. If not these licenses can be
found at http://www.gnu.org/licenses/gpl-2.0.html (GPLv2) and
http://www.gnu.org/licenses/gpl-3.0.html (GPLv3). 

pygl3display.configuration

Provides the configure function, that sets up the library
"""
import pygl3display.glcommoninst
    
def configure(glCommonBackend):
    """Set options on pygl3display.
    glCommonBackend: What backend should be used. Currently implemented
    backends are 'pygame' and 'glfw'
    """
    if glCommonBackend == u'pygame':
        from pygl3display.glcommon.pygamecommon import GLCommonPygame
        pygl3display.glcommoninst.GLCommon.__class__ = GLCommonPygame
    elif glCommonBackend == u'glfw':
        from pygl3display.glcommon.glfwcommon import GLCommonGLFW
        pygl3display.glcommoninst.GLCommon.__class__ = GLCommonGLFW
    else:
        raise Exception(u'Unknown GLCommonBackend %s' % glCommonBackend)
              
        