"""
PyGL3Display
(C) David Griffin (2010-present)
"Habilain" is a pseudonym used by David Griffin in a number of places.

A high performance OpenGL library

Licensed under GPLv2 or GPLv3. You should have received a copy of both of these
licenses in the files GPLv2.txt and GPLv3.txt. If not these licenses can be
found at http://www.gnu.org/licenses/gpl-2.0.html (GPLv2) and
http://www.gnu.org/licenses/gpl-3.0.html (GPLv3).

pygl3display.examples.ellipseexample

This file provides an example of PyGL3Display ellipses.
Also provides the major test case.
"""

import math
from exampleskeleton import ExampleSkeleton, pyg3

class EllipseApp(ExampleSkeleton):
    """A demo showing some ellipses"""
    def __init__(self):
        """Initialise the test app data"""
        super(EllipseApp, self).__init__('Ellipses', (350, 350))
        
    def init(self):
        """Create example content after context created"""
        red = (255, 0, 0, 255)
        green = (0, 255, 0, 255)
        self.ellipse1 = pyg3.Ellipse(dx=50, dy=50, pos=(100, 100), color=red,
                                antialiasing=0.1)
        self.ellipse2 = pyg3.Ellipse(dx=25, dy=75, pos=(100, 250), 
                                rotation = math.pi/4, color=green)

if __name__ == '__main__':
    EllipseApp().run()
    