"""
PyGL3Display
(C) David Griffin (2010-present)
"Habilain" is a pseudonym used by David Griffin in a number of places.

A high performance OpenGL library

Licensed under GPLv2 or GPLv3. You should have received a copy of both of these
licenses in the files GPLv2.txt and GPLv3.txt. If not these licenses can be
found at http://www.gnu.org/licenses/gpl-2.0.html (GPLv2) and
http://www.gnu.org/licenses/gpl-3.0.html (GPLv3). 

pygl3display.examples.triangleexample

This file provides an example of PyGL3Display triangles.
Also provides the major test case.
"""

from exampleskeleton import ExampleSkeleton, pyg3
import math

class TriangleApp(ExampleSkeleton):
    """Demonstrates and tests triangles"""
    def __init__(self):
        """Initialise the test app data"""
        super(TriangleApp, self).__init__('Trianlges', (70, 70))
        
    def init(self):
        """Initialise the triangles"""
        red = (255, 0, 0, 255)
        green = (0, 255, 0, 255)
        blue = (0, 0, 255, 255)
        tri = [(-10, 10), (10, 10), (10, -10)]
        twotri = [(10, 0), (30, 0), (10, 20), (0, 0), (-20, 0), (0, 20)]
        self.tri1 = pyg3.Triangles(vertices=tri, pos=(20, 20), color=red)
        self.tri2 = pyg3.Triangles(vertices=tri, pos=(50, 20), 
                                colors=[red, green, blue], rotation=math.pi / 2)
        self.tris = pyg3.Triangles(vertices=twotri, pos=(30, 40), color=green)
    
if __name__ == '__main__':
    TriangleApp().run()
