"""
PyGL3Display
(C) David Griffin (2010-present)
"Habilain" is a pseudonym used by David Griffin in a number of places.

A high performance OpenGL library

Licensed under GPLv2 or GPLv3. You should have received a copy of both of these
licenses in the files GPLv2.txt and GPLv3.txt. If not these licenses can be
found at http://www.gnu.org/licenses/gpl-2.0.html (GPLv2) and
http://www.gnu.org/licenses/gpl-3.0.html (GPLv3). 

pygl3display.sprites

This module provides "oldschool style" 2d Sprite specific features
"""

from pygl3display.sprites.textureatlas import TextureAtlas2d
from pygl3display.sprites.shader import SpriteShader
from pygl3display.sprites.spritecommon import GL3Rect, SpriteCommon
from pygl3display.sprites.image import Surface
from pygl3display.sprites.sprite import (Sprite, 
     topLeftOffsets, topRightOffsets, bottomLeftOffsets, 
     bottomRightOffsets, centerOffsets, makeAdjacentSprites)
from pygl3display.sprites.attribsprite import AttribSprite
from pygl3display.sprites.groups import SpriteGroup
from pygl3display.sprites.texconverter import Converter

PYGAMEENABLED = False
try:
    import pygame
    del pygame
    PYGAMEENABLED = True
except ImportError:
    pass
PNGENABLED = False
try:
    import png
    del png
    PNGENABLED = True
except ImportError:
    pass
    
if PYGAMEENABLED:
    # Prefer pygame...
    from pygl3display.sprites.pygameimages import loadImage
elif PNGENABLED:
    # ... but fall back on PyPNG
    from pygl3display.sprites.pypngimages import loadImage
